VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
VstTestBase Class Referenceabstract

Test Helper. More...

`#include <vsttestsuite.h>`

Inheritance diagram for VstTestBase:

## Public Member Functions
| VstTestBase (IPlugProvider *plugProvider)
virtual | ~VstTestBase ()
virtual const char * | getName () const =0
DECLARE_FUNKNOWN_METHODS bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
virtual void | printTestHeader (ITestResult *testResult)

## Protected Attributes
IPlugProvider * | plugProvider
IComponent * | vstPlug
IEditController * | controller

## Detailed Description

Test Helper.

## Constructor & Destructor Documentation

VstTestBase | ( | IPlugProvider * | plugProvider | ) |

~VstTestBase | ( |  | ) |
| virtual

## Member Function Documentation

virtual const char* getName | ( |  | ) | const
| pure virtual

Implemented in VstProcessTailTest, VstCheckAudioBusArrangementTest, VstProcessFormatTest, VstVariableBlockSizeTest, VstProcessInputOverwritingTest, VstBusActivationTest, VstFlushParamTest3, VstFlushParamTest2, VstFlushParamTest, VstSilenceProcessingTest, VstSilenceFlagsTest, VstBusInvalidIndexTest, VstBusConsistencyTest, VstRepeatIdenticalStateTransitionTest, VstInvalidStateTransitionTest, VstValidStateTransitionTest, VstAutomationTest, VstSpeakerArrangementTest, VstProcessTest, VstUnitStructureTest, VstProgramInfoTest, VstUnitInfoTest, VstEditorClassesTest, VstKeyswitchTest, VstNoteExpressionTest, VstMidiMappingTest, VstScanParametersTest, VstScanBussesTest, VstTerminateInitializeTest, and VstSuspendResumeTest.

DECLARE_FUNKNOWN_METHODS bool setup | ( |  | ) |

bool run | ( | ITestResult * |  | ) |
| inline

bool teardown | ( |  | ) |

void printTestHeader | ( | ITestResult * | testResult | ) |
| virtual

## Member Data Documentation

IPlugProvider* plugProvider
| protected

IComponent* vstPlug
| protected

IEditController* controller
| protected

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.